package gov.va.med.edp.web.view;

import org.springframework.web.servlet.support.WebContentGenerator;

import javax.servlet.http.HttpServletResponse;

/**
 * TODO: document HttpCacheControl
 */
public class HttpCacheControl {
    static final java.lang.String HEADER_CACHE_CONTROL = "Cache-Control";
    static final java.lang.String HEADER_EXPIRES = "Expires";

    public static void addNoCacheHeaders(HttpServletResponse response) {
        response.setHeader(HEADER_CACHE_CONTROL, "no-store, must-revalidate");
        response.setHeader(HEADER_EXPIRES, "Thu, 01 Jan 1970 01:00:00 GMT");
    }
}
